#701 Ability to open multiple safes

open
nobody
None
1
2013-10-08
2013-02-04
Ron Filipek
No

I would like to see password safe have the ability to open two (or more) safes automatically. The basis for this request comes from supporting multiple environments.

Example:
I have an iPad using pwSafe which is compatible with the password safe db. It is very likely, given that this is a mobile environment, that the chances of leaving the device someplace is high. I would like to have a safe that contains less sensitive info such as software accounts, and items that do not involve financial impact. This is the safe that I would share with my home PC.
On my home PC, I would like to have an additional safe which contains info of a more sensitive nature (financials, etc). Since I would like access to this safeaas well as the less sensitive info, and would like to remove the need to switch between safes, the ability to open two safes at once would be ideal.

I think that this scheme would resolve both problems and lead to the easiest environment for the user. Many programs make use of tabbed entries, and this might be viewed as one solution.

Thanks

Ron Filipek

Related

Feature Requests: #701

Discussion

  • Rony Shapiro
    Rony Shapiro
    2013-02-06

    You can have several instances of PasswordSafe open at the same time if you check "Allow multiple instances" in Manage->Options->System.
    Is this what you meant?

    Rony

     
  • Ron Filipek
    Ron Filipek
    2013-02-06

    Well I guess that would be one workaround. I was thinking along the lines
    of one instance of PasswordSafe opening up multiple safes. In my
    suggestion, this would then have two (or more) tabs open within that one
    instance.

    Ron

    From: Rony Shapiro [mailto:ronys@users.sf.net]
    Sent: Wednesday, February 06, 2013 1:35 AM
    To: [passwordsafe:feature-requests]
    Subject: [passwordsafe:feature-requests] #701 Ability to open multiple safes

    You can have several instances of PasswordSafe open at the same time if you
    check "Allow multiple instances" in Manage->Options->System.
    Is this what you meant?

    Rony


    [feature-requests:#701]
    http://sourceforge.net/p/passwordsafe/feature-requests/701/ Ability to
    open multiple safes

    Status: open
    Created: Mon Feb 04, 2013 02:45 PM UTC by Ron Filipek
    Last Updated: Mon Feb 04, 2013 02:45 PM UTC
    Owner: nobody

    I would like to see password safe have the ability to open two (or more)
    safes automatically. The basis for this request comes from supporting
    multiple environments.

    Example:
    I have an iPad using pwSafe which is compatible with the password safe db.
    It is very likely, given that this is a mobile environment, that the chances
    of leaving the device someplace is high. I would like to have a safe that
    contains less sensitive info such as software accounts, and items that do
    not involve financial impact. This is the safe that I would share with my
    home PC.
    On my home PC, I would like to have an additional safe which contains info
    of a more sensitive nature (financials, etc). Since I would like access to
    this safeaas well as the less sensitive info, and would like to remove the
    need to switch between safes, the ability to open two safes at once would be
    ideal.

    I think that this scheme would resolve both problems and lead to the easiest
    environment for the user. Many programs make use of tabbed entries, and this
    might be viewed as one solution.

    Thanks

    Ron Filipek


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/feature-requests/701/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Feature Requests: #701

  • Dave Griffin
    Dave Griffin
    2013-09-30

    Should this one be closed?
    Resolution is just to have a RunCommand of: ${autotype}"${appdir}\pwsafe.exe" -r \UNC\Path\to\PasswordSafeFile.psafe3

     
  • Ron Filipek
    Ron Filipek
    2013-10-01

    Dave - I am not that familiar with setting up runcommands. I may need a day
    or so to play around and try this to see if it satisfies my request.

    Thanks

    Ron

    From: Dave Griffin [mailto:ferretdave@users.sf.net]
    Sent: Monday, September 30, 2013 5:14 AM
    To: [passwordsafe:feature-requests]
    Subject: [passwordsafe:feature-requests] #701 Ability to open multiple safes

    Should this one be closed?
    Resolution is just to have a RunCommand of:
    ${autotype}"${appdir}\pwsafe.exe" -r \UNC\Path\to\PasswordSafeFile.psafe3


    [feature-requests:#701]
    http://sourceforge.net/p/passwordsafe/feature-requests/701/ Ability to
    open multiple safes

    Status: open
    Created: Mon Feb 04, 2013 02:45 PM UTC by Ron Filipek
    Last Updated: Wed Feb 06, 2013 06:35 AM UTC
    Owner: nobody

    I would like to see password safe have the ability to open two (or more)
    safes automatically. The basis for this request comes from supporting
    multiple environments.

    Example:
    I have an iPad using pwSafe which is compatible with the password safe db.
    It is very likely, given that this is a mobile environment, that the chances
    of leaving the device someplace is high. I would like to have a safe that
    contains less sensitive info such as software accounts, and items that do
    not involve financial impact. This is the safe that I would share with my
    home PC.
    On my home PC, I would like to have an additional safe which contains info
    of a more sensitive nature (financials, etc). Since I would like access to
    this safeaas well as the less sensitive info, and would like to remove the
    need to switch between safes, the ability to open two safes at once would be
    ideal.

    I think that this scheme would resolve both problems and lead to the easiest
    environment for the user. Many programs make use of tabbed entries, and this
    might be viewed as one solution.

    Thanks

    Ron Filipek


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/feature-requests/701/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #701

  • Ron Filipek
    Ron Filipek
    2013-10-01

    Dave - This command would seem to open on file via a command line. I would
    like to split my password safe files into two files, one containing items
    like financial passwords and one containing more ordinary password info
    (software forums, etc). That way, I could make the second file available
    through products like dropbox to my ipad, while having the financial portion
    resident on my home pc only. To avoid constantly switching between the two
    files at home, I was suggesting that Passwordsafe have a mechanism to open
    two files (likely in individual tabs in the program) and allow me to switch
    between the two. This would be easier than constantly closing and opening
    two separate files.

    Hopefully, by not exposing the more secure, financial, file via a cloud or
    the ipad, I would be at less risk for that data.

    Not sure a command line solves that issue in the most user friendly way.

    Ron

    From: Dave Griffin [mailto:ferretdave@users.sf.net]
    Sent: Monday, September 30, 2013 5:14 AM
    To: [passwordsafe:feature-requests]
    Subject: [passwordsafe:feature-requests] #701 Ability to open multiple safes

    Should this one be closed?
    Resolution is just to have a RunCommand of:
    ${autotype}"${appdir}\pwsafe.exe" -r \UNC\Path\to\PasswordSafeFile.psafe3


    [feature-requests:#701]
    http://sourceforge.net/p/passwordsafe/feature-requests/701/ Ability to
    open multiple safes

    Status: open
    Created: Mon Feb 04, 2013 02:45 PM UTC by Ron Filipek
    Last Updated: Wed Feb 06, 2013 06:35 AM UTC
    Owner: nobody

    I would like to see password safe have the ability to open two (or more)
    safes automatically. The basis for this request comes from supporting
    multiple environments.

    Example:
    I have an iPad using pwSafe which is compatible with the password safe db.
    It is very likely, given that this is a mobile environment, that the chances
    of leaving the device someplace is high. I would like to have a safe that
    contains less sensitive info such as software accounts, and items that do
    not involve financial impact. This is the safe that I would share with my
    home PC.
    On my home PC, I would like to have an additional safe which contains info
    of a more sensitive nature (financials, etc). Since I would like access to
    this safeaas well as the less sensitive info, and would like to remove the
    need to switch between safes, the ability to open two safes at once would be
    ideal.

    I think that this scheme would resolve both problems and lead to the easiest
    environment for the user. Many programs make use of tabbed entries, and this
    might be viewed as one solution.

    Thanks

    Ron Filipek


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/feature-requests/701/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #701

  • Ron Filipek
    Ron Filipek
    2013-10-01

    Dave - This command would seem to open on file via a command line. I would
    like to split my password safe files into two files, one containing items
    like financial passwords and one containing more ordinary password info
    (software forums, etc). That way, I could make the second file available
    through products like dropbox to my ipad, while having the financial portion
    resident on my home pc only. To avoid constantly switching between the two
    files at home, I was suggesting that Passwordsafe have a mechanism to open
    two files (likely in individual tabs in the program) and allow me to switch
    between the two. This would be easier than constantly closing and opening
    two separate files.

    Hopefully, by not exposing the more secure, financial, file via a cloud or
    the ipad, I would be at less risk for that data.

    Not sure a command line solves that issue in the most user friendly way.

    Ps: I have seen this option in other products (which I did not like as much
    overall, I am a passwordsafe bigot as of now) such as keepass. That product
    allows opening a second file if a particular name/location is specified in
    the password list.

    Ron

    From: Dave Griffin [mailto:ferretdave@users.sf.net]
    Sent: Monday, September 30, 2013 5:14 AM
    To: [passwordsafe:feature-requests]
    Subject: [passwordsafe:feature-requests] #701 Ability to open multiple safes

    Should this one be closed?
    Resolution is just to have a RunCommand of:
    ${autotype}"${appdir}\pwsafe.exe" -r \UNC\Path\to\PasswordSafeFile.psafe3


    [feature-requests:#701]
    http://sourceforge.net/p/passwordsafe/feature-requests/701/ Ability to
    open multiple safes

    Status: open
    Created: Mon Feb 04, 2013 02:45 PM UTC by Ron Filipek
    Last Updated: Wed Feb 06, 2013 06:35 AM UTC
    Owner: nobody

    I would like to see password safe have the ability to open two (or more)
    safes automatically. The basis for this request comes from supporting
    multiple environments.

    Example:
    I have an iPad using pwSafe which is compatible with the password safe db.
    It is very likely, given that this is a mobile environment, that the chances
    of leaving the device someplace is high. I would like to have a safe that
    contains less sensitive info such as software accounts, and items that do
    not involve financial impact. This is the safe that I would share with my
    home PC.
    On my home PC, I would like to have an additional safe which contains info
    of a more sensitive nature (financials, etc). Since I would like access to
    this safeaas well as the less sensitive info, and would like to remove the
    need to switch between safes, the ability to open two safes at once would be
    ideal.

    I think that this scheme would resolve both problems and lead to the easiest
    environment for the user. Many programs make use of tabbed entries, and this
    might be viewed as one solution.

    Thanks

    Ron Filipek


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/feature-requests/701/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #701

  • Dave Griffin
    Dave Griffin
    2013-10-02

    yes, this mechanism opens up a second instance of passwordsafe, so you have two windows open concurrently, one for your private data and one for your 'less private' data.
    What you've described is having two separate database files, so you can keep one in the cloud and one privately.

    You have distinct passwords for each database file, and start them up separately (and concurrently - multiple windows each showing a separate database is fine), where you store the database file for each determines how 'secure' the file is, in addition to the security of the password.

    The command line entry merely allows the password for the 'financial' database to be stored in the 'cloud' database, so you only need to remember one password yourself (nothing stops you from keeping them separate and just set each to use the same password) - the financial data is still secure, because even with the password, the only access is via your physical PC at home.

    So, what you're suggested is already available, but it sounds like you'd like the databases opened in tabs, rather than separate windows... which I agree would be nice.

     
  • Ron Filipek
    Ron Filipek
    2013-10-04

    Dave - How do you store the command line entry in the first data base and
    invoke it to open the second.

    I agree, a tab format would be a nicer user interface, any plans for
    something like that in the future?

    Ron

    From: Dave Griffin [mailto:ferretdave@users.sf.net]
    Sent: Wednesday, October 02, 2013 5:11 AM
    To: [passwordsafe:feature-requests]
    Subject: [passwordsafe:feature-requests] #701 Ability to open multiple safes

    yes, this mechanism opens up a second instance of passwordsafe, so you have
    two windows open concurrently, one for your private data and one for your
    'less private' data.
    What you've described is having two separate database files, so you can keep
    one in the cloud and one privately.

    You have distinct passwords for each database file, and start them up
    separately (and concurrently - multiple windows each showing a separate
    database is fine), where you store the database file for each determines how
    'secure' the file is, in addition to the security of the password.

    The command line entry merely allows the password for the 'financial'
    database to be stored in the 'cloud' database, so you only need to remember
    one password yourself (nothing stops you from keeping them separate and just
    set each to use the same password) - the financial data is still secure,
    because even with the password, the only access is via your physical PC at
    home.

    So, what you're suggested is already available, but it sounds like you'd
    like the databases opened in tabs, rather than separate windows... which I
    agree would be nice.


    [feature-requests:#701] Ability to open multiple safes

    Status: open
    Created: Mon Feb 04, 2013 02:45 PM UTC by Ron Filipek
    Last Updated: Mon Sep 30, 2013 09:13 AM UTC
    Owner: nobody

    I would like to see password safe have the ability to open two (or more)
    safes automatically. The basis for this request comes from supporting
    multiple environments.

    Example:
    I have an iPad using pwSafe which is compatible with the password safe db.
    It is very likely, given that this is a mobile environment, that the chances
    of leaving the device someplace is high. I would like to have a safe that
    contains less sensitive info such as software accounts, and items that do
    not involve financial impact. This is the safe that I would share with my
    home PC.
    On my home PC, I would like to have an additional safe which contains info
    of a more sensitive nature (financials, etc). Since I would like access to
    this safeaas well as the less sensitive info, and would like to remove the
    need to switch between safes, the ability to open two safes at once would be
    ideal.

    I think that this scheme would resolve both problems and lead to the easiest
    environment for the user. Many programs make use of tabbed entries, and this
    might be viewed as one solution.

    Thanks

    Ron Filipek


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/feature-requests/701/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #701

  • Dave Griffin
    Dave Griffin
    2013-10-04

    No idea on future development, I'm just a user around here, sorry.

    To add the command line though, add a new password entry, put any username you like, enter the password of your 'other' database, and then on the 'additional' tab, paste this into the 'Run Cmd':

    ${autotype}"${appdir}\pwsafe.exe" -r \UNC\Path\to\PasswordSafeFile.psafe3

    Change that \UNC\Path... to the full path to your actual database file D:\MyDocs... whatever. Save the entry and then just right click on it and select 'Run Command', sit back and watch :-)

    Cheers
    Dave

     
    • Dave Griffin
      Dave Griffin
      2013-10-08

      ! SORRY _ just noticed I'd missed a bit.
      On that new entry, change the 'Autotype' to: \p\n
      That then overrides the default, and pastes just the password & newline into the dialog box that starts up the second instance of Pwsafe.

       
  • Ron Filipek
    Ron Filipek
    2013-10-08

    Dave - Can you assist me with an item in this suggestion. Since I am
    running Windows 7, my new pwsafe file is in a subdirectory of My documents.
    I am trying to set the path to

    'c:\users\ron\my documents\etc\etc\passwordsafefile.psafe3'

    I added the quotes because of the space in the My documents directory, but
    it still does not seem to find the file. I tried both single and double
    quotes to no avail.

    So I went to plan B, and removed the quotes while shortening the My
    documents to documents. This seems to work, but when I right-click and
    invoke the run command, it asks me where I want to put the new database.

    Suggestions?

    Thanks

    Ron

    From: Dave Griffin [mailto:ferretdave@users.sf.net]
    Sent: Friday, October 04, 2013 9:47 AM
    To: [passwordsafe:feature-requests]
    Subject: [passwordsafe:feature-requests] #701 Ability to open multiple safes

    No idea on future development, I'm just a user around here, sorry.

    To add the command line though, add a new password entry, put any username
    you like, enter the password of your 'other' database, and then on the
    'additional' tab, paste this into the 'Run Cmd':

    ${autotype}"${appdir}\pwsafe.exe" -r \UNC\Path\to\PasswordSafeFile.psafe3

    Change that \UNC\Path... to the full path to your actual database file
    D:\MyDocs... whatever. Save the entry and then just right click on it and
    select 'Run Command', sit back and watch :-)

    Cheers
    Dave


    [feature-requests:#701]
    http://sourceforge.net/p/passwordsafe/feature-requests/701/ Ability to
    open multiple safes

    Status: open
    Created: Mon Feb 04, 2013 02:45 PM UTC by Ron Filipek
    Last Updated: Wed Oct 02, 2013 09:11 AM UTC
    Owner: nobody

    I would like to see password safe have the ability to open two (or more)
    safes automatically. The basis for this request comes from supporting
    multiple environments.

    Example:
    I have an iPad using pwSafe which is compatible with the password safe db.
    It is very likely, given that this is a mobile environment, that the chances
    of leaving the device someplace is high. I would like to have a safe that
    contains less sensitive info such as software accounts, and items that do
    not involve financial impact. This is the safe that I would share with my
    home PC.
    On my home PC, I would like to have an additional safe which contains info
    of a more sensitive nature (financials, etc). Since I would like access to
    this safeaas well as the less sensitive info, and would like to remove the
    need to switch between safes, the ability to open two safes at once would be
    ideal.

    I think that this scheme would resolve both problems and lead to the easiest
    environment for the user. Many programs make use of tabbed entries, and this
    might be viewed as one solution.

    Thanks

    Ron Filipek


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/feature-requests/701/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #701

  • Dave Griffin
    Dave Griffin
    2013-10-08

    First off, run a test:
    Start->Run and enter something like this:
    c:\path\to\Pwsafe.exe c:\path\to\database\safe\file.psafe3

    That should come up with a passwordsafe login dialog, prompting for the password to your safe, that's effectively what the autotype is trying to emulate, it substitutes ${appdir} for the c:\path\to part of the above.

    If you've got spaces in the 'my documents', try enclosing the full path to the psafe3 file in DOUBLE quotes.

    Once you've got a command line working from the windows 'start->run' option (or fire up a command prompt if you prefer), then it's just a matter of copying that same command line into the PWsafe 'Run Cmd' field, and add the '${autotype}' (before or after the rest of the RunCmd).

    NOTE - my other post recently - set the 'Autotype' field to just '\p\n', apologies for my oversight in not mentioning that originally. (there's no username to send through for this, just a password).

    As an FYI, on every windows box I've got, I've changed the location of 'My Documents' to D:\MyDocs - saves a lot of hassle, and ensures that I've still got all my data even if I reinstall the OS (keep your OS and DATA separate - different physical drives if possible)

     
  • Ron Filipek
    Ron Filipek
    2013-10-08

    Dave - thanks for the help on this. The /p/n worked and opened the data
    set. I also discovered that the attr portion of the command was causing my
    issue. I enclosed everything in double quotes. My problem came from the
    fact that I am storing my Programs in the default program directory, but the
    files are in the My Documents directory. This is my effort to keep all my
    files together in one place for ease of backups, similar to what you are
    doing with your D drive. Once I removed the attr command and substituted
    that direct path, everything worked well.

    I also like the suggestion of an additional drive for data and will look at
    this further. Since almost all programs default to a documents folder, do
    you change the default in each different program to go to your D drive?

    Thanks

    Rono

    From: Dave Griffin [mailto:ferretdave@users.sf.net]
    Sent: Tuesday, October 08, 2013 11:25 AM
    To: [passwordsafe:feature-requests]
    Subject: [passwordsafe:feature-requests] #701 Ability to open multiple safes

    First off, run a test:
    Start->Run and enter something like this:
    c:\path\to\Pwsafe.exe c:\path\to\database\safe\file.psafe3

    That should come up with a passwordsafe login dialog, prompting for the
    password to your safe, that's effectively what the autotype is trying to
    emulate, it substitutes ${appdir} for the c:\path\to part of the above.

    If you've got spaces in the 'my documents', try enclosing the full path to
    the psafe3 file in DOUBLE quotes.

    Once you've got a command line working from the windows 'start->run' option
    (or fire up a command prompt if you prefer), then it's just a matter of
    copying that same command line into the PWsafe 'Run Cmd' field, and add the
    '${autotype}' (before or after the rest of the RunCmd).

    NOTE - my other post recently - set the 'Autotype' field to just '\p\n',
    apologies for my oversight in not mentioning that originally. (there's no
    username to send through for this, just a password).

    As an FYI, on every windows box I've got, I've changed the location of 'My
    Documents' to D:\MyDocs - saves a lot of hassle, and ensures that I've still
    got all my data even if I reinstall the OS (keep your OS and DATA separate -
    different physical drives if possible)


    [feature-requests:#701]
    http://sourceforge.net/p/passwordsafe/feature-requests/701/ Ability to
    open multiple safes

    Status: open
    Created: Mon Feb 04, 2013 02:45 PM UTC by Ron Filipek
    Last Updated: Fri Oct 04, 2013 01:47 PM UTC
    Owner: nobody

    I would like to see password safe have the ability to open two (or more)
    safes automatically. The basis for this request comes from supporting
    multiple environments.

    Example:
    I have an iPad using pwSafe which is compatible with the password safe db.
    It is very likely, given that this is a mobile environment, that the chances
    of leaving the device someplace is high. I would like to have a safe that
    contains less sensitive info such as software accounts, and items that do
    not involve financial impact. This is the safe that I would share with my
    home PC.
    On my home PC, I would like to have an additional safe which contains info
    of a more sensitive nature (financials, etc). Since I would like access to
    this safeaas well as the less sensitive info, and would like to remove the
    need to switch between safes, the ability to open two safes at once would be
    ideal.

    I think that this scheme would resolve both problems and lead to the easiest
    environment for the user. Many programs make use of tabbed entries, and this
    might be viewed as one solution.

    Thanks

    Ron Filipek


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/feature-requests/701/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #701

  • Dave Griffin
    Dave Griffin
    2013-10-08

    You're welcome, glad it works!

    attr portion of the command
    ? do you mean ${appdir} ? that should substitute for the path the current pwsafe has run from, but replacing with a full path isnt a problem, as long as you always run from the same path (which is unlikely if you're using this db from other devices...)

    My problem came from the
    fact that I am storing my Programs in the default program directory, but the
    files are in the My Documents directory.

    That is NOT a problem, that is good practice! It shouldnt cause any issues either.

    If you right click on your 'my documents'folder, certainly in winxp/7 you get an option to 'move'it, so the entire folder gets moved elsewhere, and everything else then just uses the new location by default - easy :-)